#!/usr/bin/perl
# benchmark_forking.pl

use Benchmark::Forking qw(cmpthese);

my @files = glob( $ARGV[0] );

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
my $iterations = 10_000;
print "Timing for $iterations iterations\n";

cmpthese( $iterations, {
    "A" => sub { push @files, scalar grep 1, @files },
    "B" => sub { push @files, scalar grep 1, @files },
    "C" => sub { push @files, scalar grep 1, @files },
    } );