#!/usr/bin/perl
# private_croak.pl
use v5.14;

Local::Math->divide(1, 2);
Local::Math->divide(3, 4);
Local::Math->divide(4);
Local::Math->divide(5, 7);

package Local::Math {
    use Carp qw(croak);

    sub divide {
        my( $class, $numerator, $denominator ) = @_;
        _divide( $numerator, $denominator );
        }

    sub _divide {
        croak q(Can't divide by zero!) if $_[1] == 0;
        $_[0] / $_[1]
        }
    }