#!/usr/bin/perl
# is_prime.pl
use v5.10;

open my $fh, '<:raw', 'primes.vec';
my $bit_string = do { local $/; <$fh> };
close $fh;

say '$bit_string is ' . length($bit_string) . ' bytes';

my $MAX = ( length( $bit_string ) - 1 ) * 8;

say "Enter number from 1 to $MAX, one per line";
while( <> ) {
    chomp;
    $_ += 0;
    next unless $_ > 0 and $_ <= $MAX;

    say  '  ',
        vec( $bit_string, $_, 1 )
            ? '' : 'not ', 'prime';
    }

<userinput>% perl is_prime.pl</userinput>
$bit_string is 125001 bytes
Enter number from 1 to 1000000, one per line
3
  prime
99
  not prime
101
  prime
37
  prime
795
  not prime
797
  prime